package _02_作业;

import java.util.Scanner;

public class Test1 {
    /**
     * 判断录入数字是否是一个回文数
     * 正序  和 倒序   张一样
     *
     * 121   1223221    回文数
     * 123    321
     *
     * 正序 和 倒序进行比较
     * 正序: 录入数字
     * 关键点是如何进行倒序
     *
     */

    public static void main(String[] args) {
        // 1 录入一个数字
        Scanner scanner = new Scanner(System.in);
        System.out.println("请输入一个数字");
        int number = scanner.nextInt();

        int reverse = 0;
        int temp = number;
        while (number!=0){
            // 1 先获取个位
            int dig = number % 10;
            // 2 拼接回文数
            reverse = reverse *10 + dig;
            // 3 获取剩余的数字
            number = number / 10;
        }
        if(reverse == temp){
            System.out.println("这是一个回文数");
        }else{
            System.out.println("这不是一个回文数");
        }
    }
}
